Zoey REST API reference ยท Interactive version: apidocs.zoey.com

Cart (Create Order)

Cart (Create Order): Customer

Add a guest or existing customer to the cart.

Set

PUT https://container-url.zoeysite.com/api/rest/checkout2/cart_customer

Each quote requires either a guest or existing customer.

Existing Customer

customerData Description
mode Use customer when setting an existing customer.
customer_id ID of existing customer.
group_id ID of Customer Group to set on the quote.
company_location_id ID of of Account Location to be used for this customer. Set to null to remove Account.

Guest Customer

customerData Description
mode Use guest when setting a guest customer.
group_id ID of Customer Group to set on the quote.
firstname First name of customer. (Required is configured on the customer attribute.)
lastname Last name of customer. (Required is configured on the customer attribute.)
taxvat Tax/VAT value. (Required is configured on the customer attribute.)
email Email Address of customer. (Required)

Example request body:

{
    "cartId": "1105",
    "customerData": {
        "mode": "customer",
        "customer_id": "2"
    }
}